<html>
<head>
<title>OGRE: Ogre::FrameListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1FrameListener.html">FrameListener</a></div>
<h1>Ogre::FrameListener Class Reference</h1><!-- doxytag: class="Ogre::FrameListener" -->A interface class defining a listener which can be used to receive notifications of frame events.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::FrameListener:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1FrameListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameListener.html#88238b65f9ce32f0de8c5eeeb7b6c6ad">frameStarted</a> (const <a class="el" href="structOgre_1_1FrameEvent.html">FrameEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a frame is about to begin rendering.  <a href="#88238b65f9ce32f0de8c5eeeb7b6c6ad"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameListener.html#f1d0140678c18a013ac45aa544c00bfd">frameEnded</a> (const <a class="el" href="structOgre_1_1FrameEvent.html">FrameEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called just after a frame has been rendered.  <a href="#f1d0140678c18a013ac45aa544c00bfd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameListener.html#49e2b4fc5a0d0547f908f1dd9f1ac16d">~FrameListener</a> ()</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A interface class defining a listener which can be used to receive notifications of frame events. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>A 'listener' is an interface designed to be called back when particular events are called. This class defines the interface relating to frame events. In order to receive notifications of frame events, you should create a subclass of <a class="el" href="classOgre_1_1FrameListener.html" title="A interface class defining a listener which can be used to receive notifications...">FrameListener</a> and override the methods for which you would like to customise the resulting processing. You should then call <a class="el" href="classOgre_1_1Root.html#ed3244a81b1c1cec76c675f8e62d7f5e" title="Registers a FrameListener which will be called back every frame.">Root::addFrameListener</a> passing an instance of this class. There is no limit to the number of frame listeners you can register, allowing you to register multiple listeners for different purposes. Frame events only occur when <a class="el" href="namespaceOgre.html">Ogre</a> is in continuous rendering mode, ie. after <a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e" title="Starts / restarts the automatic rendering cycle.">Root::startRendering</a> is called. If the application is doing ad-hoc rendering without entering a rendering loop, frame events are not generated. Note that a frame event occurs once for all rendering targets, not once per target. </dd></dl>

<p>Definition at line <a class="el" href="OgreFrameListener_8h-source.html#l00077">77</a> of file <a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="49e2b4fc5a0d0547f908f1dd9f1ac16d"></a><!-- doxytag: member="Ogre::FrameListener::~FrameListener" ref="49e2b4fc5a0d0547f908f1dd9f1ac16d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::FrameListener::~FrameListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreFrameListener_8h-source.html#l00101">101</a> of file <a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="88238b65f9ce32f0de8c5eeeb7b6c6ad"></a><!-- doxytag: member="Ogre::FrameListener::frameStarted" ref="88238b65f9ce32f0de8c5eeeb7b6c6ad" args="(const FrameEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::FrameListener::frameStarted           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1FrameEvent.html">FrameEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a frame is about to begin rendering. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>True to go ahead, false to abort rendering and drop out of the rendering loop. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1FrameTimeControllerValue.html#15caa3fcb86af2036b336a5fa6efd1cd">Ogre::FrameTimeControllerValue</a>.</p>

<p>Definition at line <a class="el" href="OgreFrameListener_8h-source.html#l00093">93</a> of file <a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f1d0140678c18a013ac45aa544c00bfd"></a><!-- doxytag: member="Ogre::FrameListener::frameEnded" ref="f1d0140678c18a013ac45aa544c00bfd" args="(const FrameEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::FrameListener::frameEnded           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1FrameEvent.html">FrameEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called just after a frame has been rendered. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>True to continue with the next frame, false to drop out of the rendering loop. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1FrameTimeControllerValue.html#2ee210328604677cb76ba0e4d97bd84a">Ogre::FrameTimeControllerValue</a>.</p>

<p>Definition at line <a class="el" href="OgreFrameListener_8h-source.html#l00099">99</a> of file <a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:44 2008
</p>
</body>
</html>
